public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/subliminal/
Date: Sun, 15 Jan 2017 13:34:36 +0000 (UTC)	[thread overview]
Message-ID: <1484487233.548c4688c92f957b679d4f70e9e0df1c926ac32f.soap@gentoo> (raw)

commit:     548c4688c92f957b679d4f70e9e0df1c926ac32f
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Fri Jan 13 21:30:04 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 13:33:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=548c4688

media-video/subliminal: make tests work offline in 9999

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 media-video/subliminal/Manifest               |  1 +
 media-video/subliminal/subliminal-9999.ebuild | 15 ++++++++++++---
 2 files changed, 13 insertions(+), 3 deletions(-)

diff --git a/media-video/subliminal/Manifest b/media-video/subliminal/Manifest
index d8b95c3..32bedee 100644
--- a/media-video/subliminal/Manifest
+++ b/media-video/subliminal/Manifest
@@ -1,3 +1,4 @@
+DIST matroska_test_w1_1.zip 184550509 SHA256 d86f96e165e695e6cf5324ebca184f2df723872f02965b565820d265b53004eb SHA512 f170a8e83dab15228f992b3692330163da2402b8e436c7fa195ac1ecc06cf1eaf1a48d8c99a85c031122c158c2d4006023aae75d5b7805385ba25a6d601cb78f WHIRLPOOL 3d0a16871fc7df0a3ef3f34f7c496eff188400a9796a2ad66667112ef0de7deecf025196898bd24ea395f8c44e75156a8b8c09d40a92e98d833d995473eefa9e
 DIST subliminal-2.0.3.tar.gz 4428821 SHA256 12ad058d8bfdb0471d2021f8a486c2a11d2470e845bec1e71f698e4523ddc8fe SHA512 ed014ac25ab867cf1d7d16c1ecc19364a1b1281893c3e1aa1e678176d6df12623fc29f6a8159984cd2d621bf2f708655382ae7e0cf41c92956fc2d803f1b5c37 WHIRLPOOL 39a20b595660a78c3a48efa7affc973e4349f2912b5d077583d75d05e4bad8675b5d5594512e739398fff641fdc76a08afdc1deec6f54bba5b02b3f5014ea531
 DIST subliminal-2.0.5-fix-tests.patch 377419 SHA256 d5280c3ede7a195ca21707a57b801bdcf3401bc6d54eebb82db90836a1e5c566 SHA512 35a59dec59a0075d51f00147661d9a949019069a00b4882492f7dab4bb2af35d61f4aad70d49094d16128538677907ed154dbb2e2da5959188f3996fb6200d2e WHIRLPOOL a320ce105288de78cdeeb897706fb9e622c1d82cfe582225e5d08f4b4de3781ba6a4bcdfe6b7875396bee6f8c60e25945a73474be5563755601abd195031ebef
 DIST subliminal-2.0.5.tar.gz 4440754 SHA256 b956f02ae0286ad04be5bbf1c5570964aa17bb53c99fcce067e8334d99516ae2 SHA512 e2f563fa86fea286a172aa4a6a846d997e777cf69666fb39f3f73e3073ce5b5467474561ced4468d51708c0b1559f97b314f2f9ffb3d5e61978ad635c00ba0f8 WHIRLPOOL cb57c8d553eb0164a21d2ea1c81129aef78b425748d52be6d73444fc111b227eeae5e3321253d163c2df46acfa274d6c0852d5aa7153b3ee2ba3c311c56dfd2d

diff --git a/media-video/subliminal/subliminal-9999.ebuild b/media-video/subliminal/subliminal-9999.ebuild
index 07d66ee..0c524dd 100644
--- a/media-video/subliminal/subliminal-9999.ebuild
+++ b/media-video/subliminal/subliminal-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -13,6 +13,7 @@ DESCRIPTION="Python library to search and download subtitles"
 HOMEPAGE="https://github.com/Diaoul/subliminal https://pypi.python.org/pypi/subliminal"
 EGIT_REPO_URI=( {https,git}://github.com/Diaoul/${PN}.git )
 EGIT_BRANCH="develop"
+SRC_URI="test? ( mirror://sourceforge/matroska/test_files/matroska_test_w1_1.zip )"
 
 LICENSE="MIT"
 SLOT="0"
@@ -39,6 +40,7 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}
 	test? (
+		app-arch/unzip
 		>=dev-python/vcrpy-1.6.1[${PYTHON_USEDEP}]
 		dev-python/pytest[${PYTHON_USEDEP}]
 		dev-python/pytest-cov[${PYTHON_USEDEP}]
@@ -48,8 +50,10 @@ DEPEND="${RDEPEND}
 	)
 "
 
-# Tests require network.
-RESTRICT=test
+src_unpack() {
+	default_src_unpack
+	git-r3_src_unpack
+}
 
 python_prepare_all() {
 	# Disable code checkers as they require unavailable dependencies.
@@ -59,6 +63,11 @@ python_prepare_all() {
 	# Disable unconditional dependency on dev-python/pytest-runner.
 	sed -i -e "s|'pytest-runner'||g" setup.py || die
 
+	if use test; then
+		mkdir -p tests/data/mkv || die
+		ln -s "${WORKDIR}"/test*.mkv tests/data/mkv/ || die
+	fi
+
 	distutils-r1_python_prepare_all
 }
 


             reply	other threads:[~2017-01-15 13:35 UTC|newest]

Thread overview: 59+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-15 13:34 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-29  6:34 [gentoo-commits] repo/gentoo:master commit in: media-video/subliminal/ Jakov Smolić
2024-07-16 19:18 Arthur Zamarin
2024-07-15  4:22 Sam James
2024-07-15  1:39 Sam James
2024-06-02  4:09 Sam James
2023-11-25  5:28 Sam James
2023-04-22 16:41 Sam James
2022-01-04 20:45 Sam James
2020-10-27 19:58 Sam James
2020-10-27  5:10 Sam James
2020-08-31 14:15 Sam James
2020-08-31 13:49 Sam James
2020-08-02 19:05 Sam James
2020-08-02  6:46 Michał Górny
2020-07-08 20:50 Sam James
2020-07-08 20:50 Sam James
2020-06-20  0:26 Aaron Bauman
2020-06-20  0:26 Aaron Bauman
2020-06-01  8:41 Joonas Niilola
2020-06-01  8:41 Joonas Niilola
2020-03-25  9:39 Michał Górny
2020-03-19 21:56 David Seifert
2020-03-17  8:08 Michał Górny
2020-03-16 18:55 Michał Górny
2020-01-13  9:48 Michał Górny
2019-07-07  5:30 Michał Górny
2019-07-07  5:30 Michał Górny
2018-07-28  8:53 Michał Górny
2018-06-25 23:20 Thomas Deutschmann
2018-06-24 10:20 Pacho Ramos
2018-06-24  9:46 Pacho Ramos
2018-06-24  9:41 Pacho Ramos
2018-05-05 17:46 Maxim Koltsov
2017-09-22 14:47 Patrice Clement
2017-07-30  9:44 Michał Górny
2017-07-23  1:09 Michael Palimaka
2017-01-16 17:55 David Seifert
2017-01-16 10:15 Agostino Sarubbo
2017-01-16  9:49 Agostino Sarubbo
2017-01-15 13:34 David Seifert
2017-01-10 15:22 Agostino Sarubbo
2017-01-06 17:41 David Seifert
2017-01-04 22:26 Aaron Bauman
2017-01-03 23:07 Patrice Clement
2016-09-06 20:25 David Seifert
2016-09-06 20:25 David Seifert
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-06-23 21:53 Patrice Clement
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-05-12 11:40 Ian Delaney
2016-04-05 20:14 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1484487233.548c4688c92f957b679d4f70e9e0df1c926ac32f.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox